/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

<template>
  <div class="is-covering">
    <Splitpanes v-if="editLayoutHorizontal" horizontal class="default-theme">
      <Pane
        id="imageHorizontal"
      >
        <slot name="image"></slot>
      </Pane>
      <Pane id="contentHorizontal">
        <slot name="content"></slot>
      </Pane>
    </Splitpanes>
    <Splitpanes v-else class="default-theme">
      <Pane id="imageVertical" style="">
        <slot name="image"></slot>
      </Pane>
      <Pane id="contentVertical" style="">
        <slot name="content"></slot>
      </Pane>
    </Splitpanes>
  </div>
</template>

<script>
import { Splitpanes, Pane } from "splitpanes";
import "splitpanes/dist/splitpanes.css";

import { mapState } from "vuex";

export default {
  components: { Splitpanes, Pane },
  computed: {
    ...mapState("content", ["editLayoutHorizontal"]),
  },
  props: {
    name: {
      type: String,
      validator: (value) => {
        return ["both", "image", "content", "edit"].includes(value);
      },
    },
  },
};
</script>
